| Home | Libraries | People | FAQ | More

#### string_kind

A constant used to select a `value` constructor overload.

##### Synopsis

Defined in header `<boost/json/kind.hpp>`

    constexpr string_kind_t string_kind;

##### Description

The library provides this constant to allow efficient construction of a `value` containing an empty `string`.

##### Example

    storage_ptr sp;
    value jv( string_kind, sp ); // sp is an optional parameter

##### See Also

`string_kind_t`

Convenience header `<boost/json.hpp>`